# Rendering the document

## Install GIT

Install git based on your OS https://git-scm.com/book/en/v2/Getting-Started-Installing-Git

## Download Tectonic

Tectonic is used to render the latex

### Linux/MacOS

The following shell command will download the latex tectonic binary.

```
curl --proto '=https' --tlsv1.2 -fsSL https://drop-sh.fullyjustified.net |sh
```

### NixOS

Add the `tectonic` package.

### Windows

Download the prebuilt binary from https://github.com/tectonic-typesetting/tectonic/releases/download/tectonic%400.15.0/tectonic-0.15.0-x86_64-pc-windows-msvc.zip

## Clone the repository and render the document

```
git clone https://git.5sigma.io/EdgeOfNight/core-book.git
cd core-book
/path/to/tectonic book.tex
```
